Replace setDefaultBrowser and isDefaultBrowser with getConfiguration/setConfiguration options
We shouldn't add custom APIs to UITour when we have general APIs for getting/setting values in the browser. Reusing existing patterns reduces the complexity of UITour.